#
# spec file for package python3-unittest-xml-reporting
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-unittest-xml-reporting
Version:        2.1.0
Release:        1.2
Url:            http://github.com/danielfm/unittest-xml-reporting/tree/master/
Summary:        PyUnit-based test runner with JUnit like XML reporting
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/u/unittest-xml-reporting/unittest-xml-reporting-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.4.0
Requires:       python3-xml
BuildArch:      noarch

%description
unittest-xml-reporting is a unittest test runner that can save test results
to XML files that can be consumed by a wide range of tools, such as build
systems, IDEs and continuous integration servers.

%prep
%setup -q -n unittest-xml-reporting-%{version}
#sed -i "1d" tests/testsuite.py

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sat Apr  9 2016 arun@gmx.de
- specfile:
  * update copyright year
  * require setuptools
- update to version 2.1.0:
  * Add number of skipped testcases
  * trivial coverage fix (py26/unittest2 cleanup)
  * trivial coverage fixup
  * validate against jenkins/xunit-plugin junit-10.xsd
  * add test for resultclass.
  * more coverage for django runner
  * fix coverage for testsuite.py
  * fix coverage for setup.py
- changes from version 2.0.0:
  * Float django versions
  * test multiple reports vs. single report.
  * Update README.md
  * use .coveragerc (exclude random stuff from coverage)
  * use --include rather than --omit for coverage
  * Add more tests for the django test runner.
  * travis: try to split build matrix.
  * pass in an infoclass to resultclass
  * add resultclass for runner instanciation
  * coveralls is flaky - ignore result
  * pep8 / flake8 for test code.
  * Fix tox.ini - not testing with outdated django
  * :boom: stop testing 2.6
  * :boom: remove unittest2 stuff
  * :boom: DROP python 2.6 support
  * add make test
  * add a makefile... just so I can release more easily
- changes from version 1.14.0:
  * fix coveralls badge
  * Bump Django deps version
  * Update Travis configuration to use tox-travis
  * Use codecov and coveralls.
  * Clean up tests/django_test.py.
  * Update Django testing to use the currently supported versions.
  * Document Python 3 version requirement.
  * Generate classname from test data
  * readme - with tests!
  * Add more quality checks to tox config.
  * fix some more code smells.
  * remove some of the code smells.
  * Remove pinned version for coverage.
  * fix badges.
* Mon Nov 16 2015 arun@gmx.de
- specfile:
  * tar ball doesn't include test files, comment out sed command
    during %%setup
- update to version 1.13.0:
  * Fix 'getvalue' AttributeError when test fails during __call__
  * Add a test case for error added during __call__()
  * Move to Travis container-based infrastructure
  * respect junit xsd, empty properties (issue #90)
  * respect junit xsd (issue #90)
  * snippet should use python highlighter
  * add test for failfast
  * Fix Readme and add doctest examples.
  * Add docstrings processing example to README
  * fix coverage bug with 4.0
  * Fix crashes for on-ascii failures
  * Bring Django versions current in tox.ini
  * add failfast support
  * Fix for issue #85
* Tue Apr 14 2015 arun@gmx.de
- update to version 1.12.0:
  * add xmlrunner.extra to packages.
  * try to fix #79 by compiling the regex differently
  * fix issue #77 by adding an addSubTest method to result
  * make test for issue #77 more thorough
  * issue #77: add tests for unittest.TestCase.subTest
* Sat Feb 14 2015 arun@gmx.de
- specfile: updated src location for sed command in specfile
- update to version 1.11.0:
  * typo: XMLContextBuilder -> TestXMLBuilder
  * flake8
  * fix django tests, use sets for comparison of test ids
  * Add a test for invalid xml documents which were created in case of
    outputting to a single file.
  * Update tox.ini - Use up-to-date django versions.
  * Create a valid XML in case of writing the output to a single file.
  * refactor tox.ini
  * tests: do not import stuff since it gets discovered!
  * try to fix tests (non-deterministic?)
  * some minor pylint fixes
  * fix tests for django-lts
  * add django to tox.ini
  * django testcases
  * move files around (simplify project structure)
  * outsuffix='' means no suffix.
  * Since we already depend on six ....
  * Although cStringIO is faster it does not handle unicode
* Sun Jan 18 2015 arun@gmx.de
- specfile:
  * update copyright year
  * add six as a requirement
  * license changes to BSD-3-Clause
  * no license file or readme file anymore in tar-ball
- update to version 1.10.0 (taken from git log):
  * add builder from rewrite branch
  * factor out unittest/unittest2 imports
  * fix for broken tests on python3
  * fix issue #74
  * change example so that using --help does not show broken options (issue #59)
  * hide unnecessary options from main() (see issue #59)
  * fix the tests to be more specific (see issue #59)
  * Fix test runner output buffering.
  * open version file with codecs.open (see pull request #61)
- changes from version 1.9.4:
  * tox cleanup
  * python 2.6 EOL notice.
  * bdist_wheel universal support
  * Handle invalid XML 1.0 characters (see also pull request #38)
  * Deal with Python2/3 differences - always dump bytes into output
  * fixes for to_unicode
  * add non-ascii tests - improve to_unicode function
- changes from version 1.9.3:
  * MOAR badges.
  * add license badge :+1:
  * add requires.io badge for requirements.
  * add landscape.io badge
  * add test for elapsed_times
  * add test for patched stdout/stderr
  * add test for subdirectory
  * add test for output=stream
  * add test for junit xml properties
  * separate cdata section test
  * add test for cdata section
  * test for outsuffix
  * add tests to cover different verbosity levels
  * add tests for expected failures / unexpected success
  * exclude skipped line from coverage - remove __main__ since unnecessary
  * update references to repo
  * add commands for tox
  * let travis use tox for testing
  * add tox + coverage
  * add xmlrunner as a keyword
  * split into modules
- changes from version 1.9.2:
  * readme changes
- changes from version 1.9.1:
  * [trivial] whitespace
  * added future compatibilty with django
  * require six>=1.4.0
- changes from version 1.9.0:
  * support junit testsuite properties.
  * was confused about install_requires vs. tests_require
  * slightly better test.
  * remove boilerplate from djangotestrunner.py
  * fix issue #34 after regression in commit 31a49f456af2c39937a9d363d36237f691c89aa9.
- changes from version 1.8.0:
  * Re-license under BSD ...
  * On missing attributes, also search for it on the delegated stream.
  * for python < 2.7 use unittest2.
  * some basic check that XMLTestRunner is working
  * fix issue #23, check filename using six.string_types.
  * Fix unicode properly
  * add six (python 2 to 3 compat) to requirements
  * allow specific encoding for xml report
  * Follow up from 668ad96a0faa687da2ccd0dcdce4c62cbdc07140 for individual output.
  * Store stdout/stderr on a class/output file basis rather than the
    stdout/stderr from the entire test suite execution.
  * Add support for the failfast option
  * Correct support for ]]> in string passed to CDATA (github #48)
  * This fixes an issue (#45) that causes a UnicodeDecodeError when
    installing on Debian and Python 3.3. This patch is released under
    the GNU LGPL v3.
  * typo and bug-fixing
  * Add Travis-CI badge (pull request #54)
  * Add Travis-CI config file
  * Removed reference to a specific Django version.
  * Removed references to EasyInstall on README.
  * Used `pip' instead of `easy_install' on snippet.
  * Updated requirements to Python 2.7+.
  * Updated example to a Python3-compatible one.
- changes from version 1.7.0:
  * Element name and type attribute switched.
  * Add the test info wrapper object to the list.
  * Fix `NameError`'s
  * Fix attribute error.
  * Make `addFailure` and `addError` unittest2 compatible.
  * Use `unittest2` if available.
  * Fix skipped tests expected behaviour.
  * Include skipped test cases in the generated XML reports
  * Include skipped expected failures and unexpected successes in console report.
  * Properly handle skipped tests.
- changes from version 1.6.0:
  * Fix #30. Drop references to TestCase instances.
- changes from version 1.5.0:
  * Add Skip to the results so we can have skipped tests within the same data structure.
  * PyLint + PEP-8 + Formatting.
  * Add the needed version module.
  * Allow runtime version information.
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
